Skip to content

Searches for speaker profiles using predefined parameters

Request

Searches for speaker profiles using predefined parameters

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
exclusiveStartKeystring

The start key for the search, for paging support

fieldsToReturnstring

The fields that you want to retrieve; if omitted, the entire object is returned

Bodyapplication/jsonrequired

The speaker profile that you would like to be saved.

contact_person_namestring(Contact Person Name)
idsArray of strings(Ids)

IDs to search

is_activeboolean(Is Active)
topic_idsArray of strings(Topics)
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/speakerProfiles/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "contact_person_name": "string",
    "ids": [
      "string"
    ],
    "is_active": true,
    "topic_ids": [
      "string"
    ]
  }'

Responses

The speaker profile search was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
ItemsArray of objects(SpeakerProfileSearchResults)
LastEvaluatedKeystring
Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }